import type { RAGDocumentChunk } from '../../../types/ai';
export declare const createRAGIngest: (path: string) => {
    error: import("svelte/store").Writable<string | null>;
    ingest: (chunks: RAGDocumentChunk[]) => Promise<import("../..").RAGIngestResponse>;
    isIngesting: import("svelte/store").Writable<boolean>;
    lastIngestCount: import("svelte/store").Writable<number | null>;
};
